<?php
class Contato extends UtilObjeto {

	public function __construct($params=""){
		parent::__construct(strtolower(get_class()), $params);
	}

	public static function listar($filtro=""){
		global $db;
        $sql = "SELECT    c.*, cid.nome cidade, est.nome estado, est.sigla
				FROM      rz2_contato c
				LEFT JOIN rz2_cidade cid
				ON        c.id_cidade = cid.id
				LEFT JOIN rz2_estado est
				ON        cid.id_estado = est.id
				WHERE 1=1
				".$filtro;
        // exit($sql);
        $rs = executaSql($sql);
        $arrLista = array();
        while($rg = $rs->fetchRow()){
            foreach($rg as $campo => $valor){
                $arrLista[$rg['id']][$campo] = $valor;
            }
        }
        return (count($arrLista) > 0) ? $arrLista : false;
	}

}
?>